package com.unis.config;

import org.htmlunit.BrowserVersion;
import org.htmlunit.WebClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author qingsong.han
 * @description: Bean在Spring Boot应用中使用 HtmlUnit
 * @create 2024-07-22 14:35
 */
@Configuration
public class HtmlUnitConfig {

    @Bean
    public WebClient webClient() {
        WebClient webClient = new WebClient(BrowserVersion.CHROME);
        // 配置 WebClient 的参数，例如 JavaScript 支持
         webClient.getOptions().setJavaScriptEnabled(false);
         webClient.getOptions().setCssEnabled(false);
        // webClient.getOptions().setTimeout(10000); // 设置超时时间为10秒
        return webClient;
    }

}
