/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.news.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 要闻概况-国务院公告管理表实体
 *
 * @author qingsong.han
 * @date  2024/07/23 10:18
 **/
@Getter
@Setter
@TableName("biz_sin_state_council_notice")
public class BizSinStateCouncilNotice {

    /** 公告唯一标识符 */
    @TableId
    private String id;

    /** 创建时间 */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 修改用户 */
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 标题 */
    private String title;

    /** 发布日期 */
    private Date publishDate;

    /** 是否跳转，0：否；1：是； */
    private Integer isRedirect;

    /** 跳转地址 */
    private String redirectUrl;

    /** 来源 0：手动添加；1：爬虫抓取；*/
    private Integer source;

    /** 状态，1：保存；2：提交（启用）；3：禁用; */
    private Integer status;
}
