package com.unis.news.tasksNews;

import com.unis.config.NewsUrl;
import com.unis.news.entity.BizSinQinghaiNews;
import com.unis.news.service.BizSinQinghaiNewsService;
import com.unis.news.service.BizSinStateCouncilNoticeService;
import lombok.extern.slf4j.Slf4j;
import org.htmlunit.BrowserVersion;
import org.htmlunit.Page;
import org.htmlunit.WebClient;
import org.htmlunit.html.HtmlAnchor;
import org.htmlunit.html.HtmlPage;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 静态定时任务执行
 * @create 2024-07-22 11:17
 */
@Slf4j
@Component
public class TasksNewsRunning {
    @Resource
    private BizSinQinghaiNewsService newsService;
    @Resource
    private BizSinStateCouncilNoticeService bizSinStateCouncilNoticeService;
    @Resource
    private NewsUrl newsUrl;
    @Resource
    private WebClient webClient;


    /**
     * 抓取青海省政务网站数据，晚上3点执行一次
     */
    @Scheduled(cron = "0 0 3 * * ?")
    public void qinghaiNewsun()  {
        newsService.taskAction();
        log.info("----抓取青海省政务网站数据，晚上3点执行一次---");
    }
    /**
     * 抓取国务院网站数据，晚上3点执行一次
     */
    @Scheduled(cron = "0 0 3 * * ?")
//    @Scheduled(cron = "0/20 * * * * ?")
    public void stateCouncilNoticeun()   {
        bizSinStateCouncilNoticeService.taskAction();
        log.info("----抓取国务院网站数据，晚上3点执行一次---");
    }



}
